--- webkit/tools/test_shell/test_shell.gyp
+++ webkit/tools/test_shell/test_shell.gyp
@@ -128,7 +128,7 @@
             'npapi_test_plugin',
           ],
         }],
-        ['OS=="linux"', {
+        ['OS=="linux" or OS=="freebsd"', {
           'dependencies': [
             'test_shell_resources',
             '../../../build/linux/system.gyp:gtk',
@@ -142,7 +142,7 @@
             ['exclude', '_x11\\.cc$'],
           ],
         }],
-        ['OS=="linux"', {
+        ['OS=="linux" or OS=="freebsd"', {
           # See below TODO in the Windows branch.
           'copies': [
             {
@@ -206,7 +206,7 @@
         'pak_path': '<(INTERMEDIATE_DIR)/repack/test_shell.pak',
       },
       'conditions': [
-        ['OS=="linux"', {
+        ['OS=="linux" or OS=="freebsd"', {
           'actions': [
             {
               'action_name': 'test_shell_repack',
@@ -289,7 +289,7 @@
             '<(SHARED_INTERMEDIATE_DIR)/webkit/webkit_strings_en-US.rc',
           ],
         }],
-        ['OS=="linux"', {
+        ['OS=="linux" or OS=="freebsd"', {
           'dependencies': [
             '../../../build/linux/system.gyp:gtk',
             'test_shell_resources',
@@ -430,7 +430,7 @@
           ],
           'sources': [ '<@(test_shell_windows_resource_files)' ],
         }],
-        ['OS=="linux"', {
+        ['OS=="linux" or OS=="freebsd"', {
           'dependencies': [
             'test_shell_pak',
             '../../../build/linux/system.gyp:gtk',
@@ -642,7 +642,7 @@
         },
       ],
     }],
-    ['OS=="linux"', {
+    ['OS=="linux"  or OS=="freebsd"', {
       'targets': [
         {
           'target_name': 'test_shell_resources',
diff --git webkit/tools/test_shell/test_shell_request_context.cc webkit/tools/test_shell/test_shell_request_context.cc
index d7055b6..07882d8 100644
